# TdApi.UnreadReaction (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: UnreadReaction

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UnreadReaction

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.UnreadReaction

Enclosing class:
  TdApi

public static final class TdApi.UnreadReaction extends TdApi.Object
Contains information about an unread reaction to a message.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`isBig`
True, if the reaction was added with a big animation.
`TdApi.MessageSender`
`senderId`
Identifier of the sender, added the reaction.
`TdApi.ReactionType`
`type`
Type of the reaction.

## Constructor Summary

Constructors
Constructor
Description
`UnreadReaction()`
Contains information about an unread reaction to a message.
`UnreadReaction(TdApi.ReactionType type, TdApi.MessageSender senderId, boolean isBig)`
Contains information about an unread reaction to a message.
`UnreadReaction(DataInput input)`
Contains information about an unread reaction to a message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### type

public TdApi.ReactionType type
Type of the reaction.

### senderId

public TdApi.MessageSender senderId
Identifier of the sender, added the reaction.

### isBig

public boolean isBig
True, if the reaction was added with a big animation.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UnreadReaction

public UnreadReaction()
Contains information about an unread reaction to a message.

### UnreadReaction

public UnreadReaction(TdApi.ReactionType type, TdApi.MessageSender senderId, boolean isBig)
Contains information about an unread reaction to a message.

Parameters:
  `type` - ReactionType Type of the reaction.
  `senderId` - MessageSender Identifier of the sender, added the reaction.
  `isBig` - boolean True, if the reaction was added with a big animation.

### UnreadReaction

public UnreadReaction(DataInput input) throws IOException
Contains information about an unread reaction to a message.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`